SystemOrganization addCategory: #FuelProgressUpdateBenchmarks!

FLBenchmarkRunner subclass: #FLFuelWithProgressBarBenchmarkRunner
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelProgressUpdateBenchmarks'!

!FLFuelWithProgressBarBenchmarkRunner methodsFor: 'hooks' stamp: 'MarianoMartinezPeck 6/4/2011 14:44'!
materializeFrom: aStream
	aStream binary.
	^ (FLProgressUpdaterMaterializer on: aStream) materialize! !

!FLFuelWithProgressBarBenchmarkRunner methodsFor: 'hooks' stamp: 'MartinDias 5/10/2011 13:05'!
runnerName

	^ 'FuelWithProgressBar'! !

!FLFuelWithProgressBarBenchmarkRunner methodsFor: 'hooks' stamp: 'MartinDias 8/20/2011 17:26'!
serialize: anObject on: aStream
	aStream binary.
	(FLProgressUpdaterSerializer on: aStream)
		analyzer: FLProgressUpdaterSerializer defaultAnalyzer;
		serialize: anObject		 
		analysisCheckpoints: anObject asOrderedCollection.! !

!FLBenchmarks classSide methodsFor: '*FuelProgressUpdateBenchmarks' stamp: 'MarianoMartinezPeck 6/5/2011 21:58'!
newBasicFuelWithAndWithoutProgressBar

	^ self new 
		samples: FLBenchmarkSample allSamples;
		runners: (Array with: FLFuelBenchmarkRunner new with: FLFuelWithProgressBarBenchmarkRunner new);
		useFileStream;
		yourself.! !
